=== modified file 'storage/innobase/handler/ha_innodb.cc'
--- storage/innobase/handler/ha_innodb.cc	2009-03-25 19:20:47 +0000
+++ storage/innobase/handler/ha_innodb.cc	2009-03-26 04:18:57 +0000
@@ -9307,7 +9307,7 @@
   "Size of a memory pool InnoDB uses to store data dictionary information and other internal data structures.",
   NULL, NULL, 1*1024*1024L, 512*1024L, LONG_MAX, 1024);
 
-static DRIZZLE_SYSVAR_ULONG(autoextend_increment, srv_auto_extend_increment,
+static DRIZZLE_SYSVAR_UINT(autoextend_increment, srv_auto_extend_increment,
   PLUGIN_VAR_RQCMDARG,
   "Data file autoextend increment in megabytes",
   NULL, NULL, 8L, 1L, 1000L, 0);

=== modified file 'storage/innobase/include/srv0srv.h'
--- storage/innobase/include/srv0srv.h	2009-03-13 00:02:45 +0000
+++ storage/innobase/include/srv0srv.h	2009-03-26 04:18:57 +0000
@@ -97,7 +97,7 @@
 
 extern ibool	srv_auto_extend_last_data_file;
 extern ulint	srv_last_file_size_max;
-extern ulong	srv_auto_extend_increment;
+extern unsigned int srv_auto_extend_increment;
 
 extern ibool	srv_created_new_raw;
 

=== modified file 'storage/innobase/srv/srv0srv.c'
--- storage/innobase/srv/srv0srv.c	2009-03-12 23:13:55 +0000
+++ storage/innobase/srv/srv0srv.c	2009-03-26 04:18:57 +0000
@@ -138,7 +138,7 @@
 UNIV_INTERN ulint	srv_last_file_size_max	= 0;
 /* If the last data file is auto-extended, we add this
 many pages to it at a time */
-UNIV_INTERN ulong	srv_auto_extend_increment = 8;
+UNIV_INTERN unsigned int srv_auto_extend_increment = 8;
 UNIV_INTERN ulint*	srv_data_file_is_raw_partition = NULL;
 
 /* If the following is TRUE we do not allow inserts etc. This protects

